<?php
/**
* @version		1.1.0
* @module		ISTO ARTICLE NEWSFLASH   
* @author 		Istopan.gr
* @copyright   Copyright (C) 2005 - 2018 Open Source Matters, Inc. All rights reserved.
* @license     GNU General Public License version 2 or later; see LICENSE.txt
*/

defined('_JEXEC') or die;
?>

<?php if ($params->get('item_title')) : ?>
	<?php $item_heading = $params->get('item_heading', 'h4'); ?>
	<<?php echo $item_heading; ?> class="newsflash-title <?php echo $params->get('moduleclass_sfx'); ?>">
	<?php if ($item->link !== '' && $params->get('link_titles')) : ?>
		<a href="<?php echo $item->link; ?>">
			<?php echo $item->title; ?>
		</a>
	<?php else : ?>
		<?php echo $item->title; ?>
	<?php endif; ?>
	</<?php echo $item_heading; ?>>
<?php endif; ?>
<?php if($artinfo=='1'): ?> <p class="article-info"><?php echo JText::sprintf( JHTML::_('date',$item->publish_up, JText::_('F d'))); ?>, <?php echo JText::sprintf( JHTML::_('date',$item->publish_up, JText::_('Y'))); ?> <?php if($artauth=='1'): ?>by <?php echo $item->author; ?><?php endif ?></p><?php endif ?>
<?php if ($params->get('item_image')) : ?>
	<?php if ($item->link !== '' && $params->get('link_titles')) : ?>
		<div class="newsflash-image-container"><a href="<?php echo $item->link; ?>"><img src="<?php echo json_decode($item->images)->image_intro; ?>" alt="<?php echo $item->title; ?>" class="newsflash_image" /></a></div>
	<?php else : ?>
		<div class="newsflash-image-container"><img src="<?php echo json_decode($item->images)->image_intro; ?>" alt="<?php echo $item->title; ?>" class="newsflash_image" /></div>
	<?php endif; ?>
<?php endif; ?>    
<?php if (!$params->get('intro_only')) : ?>
	<?php echo $item->afterDisplayTitle; ?>
<?php endif; ?>

<?php echo $item->beforeDisplayContent; ?>

<?php if ($params->get('show_introtext', 1)) : ?>
	<?php echo $item->introtext; ?>
<?php endif; ?>

<?php echo $item->afterDisplayContent; ?>

<?php if (isset($item->link) && $item->readmore != 0 && $params->get('readmore')) : ?>
	<?php echo '<a class="readmore" href="' . $item->link . '">' . $item->linkText . '</a>'; ?>
<?php endif; ?>
