<?php
/**
* @version		1.1.1
* @module		ISTO ARTICLE NEWSFLASH   
* @author 		Istopan.gr
* @copyright   Copyright (C) 2005 - 2018 Open Source Matters, Inc. All rights reserved.
* @license     GNU General Public License version 2 or later; see LICENSE.txt
*/

defined('_JEXEC') or die;
$document = JFactory::getDocument();
/*$document->addScript( JURI::root(true).'/modules/mod_articles_news_isto/assets/jquery-migrate-1.2.1.min.js', 'text/javascript' ); */
$document->addScript( JURI::root(true).'/modules/mod_articles_news_isto/assets/jquery.touchSlider.js', 'text/javascript');
?>

<style type="text/css">

#touchSlider<?php echo $module->id; ?> {position:relative; overflow:hidden; <?php if($resize=='false'): ?> height: <?php echo $params->get('slidehg'); ?><?php endif ?>;}
#touchSlider<?php echo $module->id; ?> .ul<?php echo $module->id; ?> { position:absolute; top:0; left:0; overflow:hidden; margin:0;list-style: none;}
#touchSlider<?php echo $module->id; ?> .ul<?php echo $module->id; ?> li {background:<?php echo $params->get('slidebg'); ?>;font-size:<?php echo $params->get('slfsize'); ?>; line-height:<?php echo $params->get('slfsize'); ?>; <?php if($params->get('sltxtcl')): ?>color:<?php echo $params->get('sltxtcl'); ?>;<?php endif; ?> list-style:none;}
#touchSlider<?php echo $module->id; ?> .newsflash-title, #touchSlider<?php echo $module->id; ?> .newsflash-title a { position:absolute; width:100%; <?php if($params->get('titlecl')): ?>color:<?php echo $params->get('titlecl'); ?><?php endif; ?>; top:0 }
#touchSlider<?php echo $module->id; ?> .newsflash-image-container { <?php if($iimgresize=='1'): ?> height: <?php echo $params->get('iimgheight'); ?>;overflow:hidden;<?php endif; ?> }
#touchSlider<?php echo $module->id; ?> .newsflash_image { <?php if($iimgresize=='0'): ?> height: <?php echo $params->get('iimgheight'); ?><?php endif; ?>;width:<?php echo $params->get('iimgwidth'); ?>;}
#touchSlider<?php echo $module->id; ?> .ul<?php echo $module->id; ?> li img {}
#touchSlider<?php echo $module->id; ?> .ul<?php echo $module->id; ?> li .fields-container {text-align:<?php echo $params->get('fcalign'); ?>;}
.btn_area<?php echo $module->id; ?> {<?php if($params->get('countbg')): ?>background:<?php echo $params->get('countbg'); ?>;<?php endif; ?> text-align:center; overflow:hidden; }
.btn_area<?php echo $module->id; ?> button {border: none; display:block; width:100px; height:<?php echo $params->get('counthg'); ?>; background:<?php echo $params->get('buttonbg'); ?>; font-size:16px; color:<?php echo $params->get('buttoncl'); ?>; font-weight:bold; }
.btn_area<?php echo $module->id; ?> button.btn_prev<?php echo $module->id; ?> { <?php if($params->get('buttonwd')): ?>width:<?php echo $params->get('buttonwd'); ?>;<?php endif; ?>float:left; }
.btn_area<?php echo $module->id; ?> button.btn_next<?php echo $module->id; ?> { <?php if($params->get('buttonwd')): ?>width:<?php echo $params->get('buttonwd'); ?>;<?php endif; ?>float:right; }
.paging<?php echo $module->id; ?> { text-align:center; overflow:hidden; }
.paging<?php echo $module->id; ?> .btn_page { display:inline-block; width:10px; height:10px; margin:3px; font-size:0px; line-height:0; text-indent:-9999px; background:#3399CC; }
.paging<?php echo $module->id; ?> .btn_page.on { background:#ff0000; }
.newsflash-image-container img {
	-webkit-transition: all 0.3s linear;
	-moz-transition: all 0.3s linear;
	transition: all 0.3s linear;}
.newsflash-image-container a  img:hover {opacity: 0.7;}
.cont<?php echo $module->id; ?> .ts-controls { text-align:<?php echo $params->get('pagingpos'); ?>;margin: 10px 0 ;}
<?php if($pagingtp=='1'): ?> 
.cont<?php echo $module->id; ?>  .ts-paging-btn {
	display: inline-block;
	width: 20px;
	height: 10px;
	max-height: 10px;
	padding-top: 20px;
	margin-left: 7px;
	border-radius: 10px;
	background: <?php echo $params->get('pagingbg'); ?>;
	overflow: hidden;
	border: none;
}
.cont<?php echo $module->id; ?>  .ts-paging-btn:hover, .cont<?php echo $module->id; ?>  .ts-paging-btn.ts-paging-active {
    background: <?php echo $params->get('pagingac'); ?>;
}
<?php endif ?>
<?php if($params->get('ccsscode')): ?><?php echo $params->get('ccsscode'); ?><?php endif; ?>

</style>

<script type="text/javascript">

jQuery(document).ready(function() {
	jQuery("#touchSlider<?php echo $module->id; ?>").touchSlider({
	    // infinite scroll
	  roll : <?php echo $params->get('roll'); ?>,
	   // flexible layout
	  flexible : true,
	  // auto resize
  	  resize : <?php echo $params->get('resize'); ?>,
	  // animation speed
 	 speed : <?php echo $params->get('speed'); ?>,
  	// how many items in one slide
  	 view : <?php echo $params->get('view'); ?>,
  	 range : 0.15,
	 controls: false,
	 paging: <?php echo $params->get('paging'); ?>,
 	 page : <?php echo $params->get('page'); ?>,
 	 sidePage : false,
	 gap: <?php echo $params->get('gap'); ?>,
  	// enable CSS3 transitions
  	transition : <?php echo $params->get('transition'); ?>,
 	 // callback
 	initComplete : null,
  	propagation : false,
		autoplay : {
			enable : <?php echo $params->get('autoplay'); ?>,
			pauseHover : <?php echo $params->get('pausehover'); ?>,
			addHoverTarget : "",
			interval : <?php echo $params->get('interval'); ?>
		},
		  // whether to use mouse
  		useMouse: true,
		btn_prev: jQuery('#touchSlider<?php echo $module->id; ?>').next().find('.btn_prev<?php echo $module->id; ?>'),
		btn_next: jQuery('#touchSlider<?php echo $module->id; ?>').next().find('.btn_next<?php echo $module->id; ?>'),
		// counter
		counter: function(e) {
			jQuery('#count<?php echo $module->id; ?>').html('current : ' + e.current + ', total : ' + e.total);
		}
	});
});
</script>

<div class="cont<?php echo $module->id; ?>">
<div id="touchSlider<?php echo $module->id; ?>" class="<?php echo $params->get('moduleclass_sfx'); ?>">
  <ul class="ul<?php echo $module->id; ?>">
	<?php for ($i = 0, $n = count($list); $i < $n; $i ++) : ?>
		<?php $item = $list[$i]; ?>
		<li>
        <?php if ($params->get('item_image')) : ?>
	<?php if ($item->link !== '' && $params->get('link_titles')) : ?>
		<a href="<?php echo $item->link; ?>"><img src="<?php echo json_decode($item->images)->image_intro; ?>" alt="<?php echo $item->title; ?>" class="newsflash_image" /></a>
	<?php else : ?>
		<div class="newsflash-image-container"><img src="<?php echo json_decode($item->images)->image_intro; ?>" alt="<?php echo $item->title; ?>" class="newsflash_image" /></div>
	<?php endif; ?>
<?php endif; ?>
        <?php if ($params->get('item_title')) : ?>
	<?php $item_heading = $params->get('item_heading', 'h4'); ?>
	<<?php echo $item_heading; ?> class="newsflash-title <?php echo $params->get('moduleclass_sfx'); ?>">
	<?php if ($item->link !== '' && $params->get('link_titles')) : ?>
		<a href="<?php echo $item->link; ?>">
			<?php echo $item->title; ?>
		</a>
	<?php else : ?>
		<?php echo $item->title; ?>
	<?php endif; ?>
	</<?php echo $item_heading; ?>>
<?php endif; ?> 
<?php if($artinfo=='1'): ?> <p class="article-info"><?php echo JText::sprintf( JHTML::_('date',$item->publish_up, JText::_('F d'))); ?>, <?php echo JText::sprintf( JHTML::_('date',$item->publish_up, JText::_('Y'))); ?> by <?php echo $item->author; ?></p><?php endif ?>
		</li>
	<?php endfor; ?>
</ul>
</div>
<?php if($btnarea=='1'): ?> 
<div class="btn_area<?php echo $module->id; ?> <?php echo $params->get('moduleclass_sfx'); ?>">
	<button type="button" class="btn_prev<?php echo $module->id; ?>"><?php echo $params->get('slprev'); ?></button>
	<button type="button" class="btn_next<?php echo $module->id; ?>"><?php echo $params->get('slnext'); ?></button>
    <?php if($cntarea=='1'): ?> 
	<div id="count<?php echo $module->id; ?>" style="height:<?php echo $params->get('counthg'); ?>; font-size:<?php echo $params->get('countsize'); ?>; line-height:<?php echo $params->get('counthg'); ?>; text-align:center;">
	</div>
    <?php endif ?>
</div>
<?php endif ?>
</div>


